Поиск по сайту: Результаты поиска по тегам '2D'.

  • Поиск по тегам

    Введите теги через запятую.
  • Поиск по автору

Тип публикаций


Категории и разделы

  • САПР, Информационные технологии в проектировании и производстве
    • Все вопросы о CAD
    • Все вопросы о CAM
    • Обсуждение CAD/CAM-систем
    • Все вопросы о CAE
    • Все вопросы о PDM
    • Дизайн, ПО для дизайна
    • САПР ТП
    • САПР зданий и сооружений, дизайн зданий
    • Электротехнические САПР
    • Сравнение и Выбор!
    • 3D Модели
    • Трансляция, конвертация, просмотр
    • Ролики по САПР
    • Настройка и выбор ПК под САПР, комплектующие к ПК
    • Программное обеспечение
  • Проектирование и производство
    • Проектирование и конструирование
    • Материалы и покрытия, прокат и профиль
    • Производственные проблемы
    • Оборудование, комплектующие, оснастка, инструмент
    • Прототипирование
    • Вопросы экономики
    • Размещение заказов
    • CNCZONE.RU
  • Полезная информация
    • Новости
    • Статьи
    • Обсудим увиденное или прочитанное
    • Раздел ссылок
    • Литература, Электронные книги, ГОСТы
  • Доска объявлений
    • Размещение заказов
    • Предложение услуг
    • Продажа
    • Покупка
    • Обмен, дарение
    • Размещение вакансий
    • Размещение резюме
  • Разное
    • Флейм
    • Юмор о CAD/CAM и не только
    • Kонкурсы проектов
  • Сервис

Календари

  • Основной календарь



Фильтр по количеству...

Найдено 4 результата

  1. Добрый день, помогите пожалуйста разобрать и сделать макрос. Макрос и профиль в 2д ниже. Макрос был скачан и изменен. 1 ошибка я так понимаю в Private Sub UserForm_Activate() - он не должен повторяться 2 курьез это в Part.ClearSelection2 True Part.DeleteAllRelations Т.е. каждый раз он удаляет все значения всех переменных, возможно ли обойти это как то при помощи Part.Recordset... или как то иначе 3. стоит ли задавать саму переменную к примеру Dim D As String? Сам макрос: Dim swApp As Object Dim Part As Object Dim boolstatus As Boolean Dim longstatus As Long, longwarnings As Long Private Sub ComboBox1_Change() End Sub Private Sub ComboBox2_Change() End Sub Private Sub ComboBox3_Change() End Sub Private Sub CommandButton1_Click() Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc Part.ClearSelection2 True Part.DeleteAllRelations Part.AddRelation """D""= " & ComboBox1.Value End Sub Private Sub CommandButton2_Click() Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc Part.ClearSelection2 True Part.DeleteAllRelations Part.AddRelation """A""= " & ComboBox2.Value End Sub Private Sub CommandButton3_Click() Set swApp = Application.SldWorks Set Part = swApp.ActiveDoc Part.ClearSelection2 True Part.DeleteAllRelations Part.AddRelation """B""= " & ComboBox3.Value End Sub Private Sub Label1_Click() End Sub Private Sub Label2_Click() End Sub Private Sub Label3_Click() End Sub '1=D Private Sub UserForm_Initialize() Me!ComboBox1.AddItem 253.2 Me!ComboBox1.AddItem 304 Me!ComboBox1.AddItem 329.4 End Sub '2=A Private Sub UserForm_Activate() Me!ComboBox2.AddItem 76 Me!ComboBox2.AddItem 89 Me!ComboBox2.AddItem 101.5 Me!ComboBox2.AddItem 114.5 Me!ComboBox2.AddItem 127 End Sub '3= B Private Sub UserForm_Activate() Me!ComboBox3.AddItem 10 Me!ComboBox3.AddItem 11 Me!ComboBox3.AddItem 12 End Sub Заранее спасибо! macric.rar
  2. Здравствуйте. Ищу бесплатную САПР, в которой есть возможность мерить размер, как если бы на изделии линейкой, далее к замеру применить арифметическое действие и на чертеже получить в размерах вычисленный результат (например намерили 72 мм, а по инструкции нам еще 5 мм надо прибавить, на чертеже чтобы вывелось 77 мм, и чтобы этот размер выводился в другом месте чертежа). И если например все изделие потребуется изготовить по новым размерам, то чтобы все эти промежуточные замеры автоматически пересчитывались сами.
  3. Доброго времени суток, уважаемые форумчане!) Столкнулся с проблемой, описание которой представляю ниже: Рассматривается тонкостенный элемент (толщина стенок значительно меньше габаритных размеров тела), соответственно для тепловых расчетов на гранях рассматриваемой модели строится 2D-связанная (с ребрами элемента) сетка типа QUAD4. Далее задается орбитальный (он был взят просто ради примера) нагрев тела. Задается он таким образом, что верхняя грань тела (плоскость X0Y, положительное направление оси 0Z) все время направлена на Солнце, а вектор 0X в любой момент времени совпадает с нормалью орбиты. Суть вопроса состоит в следующем: каким образом автоматически можно связать смежные ячейки двумерной сетки на разных гранях? Неужели все тепловые связи для каждого тела необходимо проставлять вручную?) Без заданных вручную тепловых связей наблюдался резкий скачок температуры при переходе с верхней грани на боковые (ну не бывает мгновенного перехода от +40 до -35...) Ниже выложены скрины геометрии (верхний слева), тепловых связей (4 шт справа наверху для описания взаимных связей всех граней- правильно ли?), а также результатов расчета (для установившегося решения брал 5 орбит, брал малый шаг интегрирования по времени, погрешность по температуре- не более 1 градуса. Никак не пойму, с чем связана асимметричность распределения температуры на верхней грани... Видно, что справа на рисунке с результатами есть резкий переход от +49 до -40 (белый цвет переходит в фиолетово-синий), чего быть не может, хотя тепловая связь-то там и задана... Заранее благодарю Вас за ответ =)
  4. Доброго времени суток! Мы рады сообщить о старте профессиональных конкурсов проектирования "Эксперт" и "Зачет". Приглашаем к участию всех: от простых энтузиастов и студентов до преподавателей в технических ВУЗах и представителей инженерных компаний. Продемонстрируйте свое мастерство пользования программным обеспечением T-FLEX и станьте примером для последующих участников. И помните, чем выше вы зададите планку, тем сложнее будет вашим конкурентам! В этом году победитель конкурса «Эксперт» получит в подарок набор инструментов «BOSCH 5 в 1 (10.8 V-LI в кейсе L-BOXX)». Кроме того, награда ждет и предприятие, чей проект победит в конкурсе "Эксперт": предприятие получит скидку на льготное обновление до последней версии T-FLEX CAD. Причем, количество рабочих мест, на которые распространяется скидка, рассчитывается в зависимости от количества и качества присланных предприятием работ! Победитель конкурса «Зачёт» получит в подарок экшн-камеру «GoPro HERO3+ Silver Edition». Работы на конкурс принимаются до 1 декабря 2015 года. Времени много, дерзайте и выигрывайте ценные призы! Мы желаем вам вдохновения, времени для творчества и свободных компьютерных мощностей! Подробнее тут www.tflex.ru/contests